Bug 1561249 - Several JS errors visiting repo discovery page
Summary: Several JS errors visiting repo discovery page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.5.0
Assignee: satellite6-bugs
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-28 00:19 UTC by Tom McKay
Modified: 2019-11-05 22:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:00 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of UI (88.54 KB, image/png)
2018-11-28 10:43 UTC, Nikhil Kathole
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:12 UTC
Foreman Issue Tracker 23381 None None None 2018-06-22 19:51:20 UTC
Foreman Issue Tracker 23434 None None None 2018-06-22 19:50:47 UTC

Description Tom McKay 2018-03-28 00:19:37 UTC
There are several JS and DOM errors when visiting repo discovery page products/discovery/scan

bst-table.directive.js line 32 rows is null
bst-resource-switcher.directive.js line 53 $location.path().match(/\d+/) evals to null
[DOM] Found 2 elements with non-unique id #currentPage

Comment 1 Tom McKay 2018-03-28 00:19:43 UTC
Created from redmine issue http://projects.theforeman.org/issues/23032

Comment 2 Tom McKay 2018-03-28 00:19:48 UTC
Upstream bug assigned to None

Comment 6 pm-sat@redhat.com 2018-06-22 20:10:19 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/23434 has been resolved.

Comment 9 Nikhil Kathole 2018-11-28 10:41:30 UTC
VERIFIED

Version tested:

Satellite 6.5 snap 5

No error on console.

Comment 10 Nikhil Kathole 2018-11-28 10:43:00 UTC
Created attachment 1509443 [details]
screenshot of UI

Comment 13 errata-xmlrpc 2019-05-14 12:37:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.